io.etcd.jetcd.kv

## Class GetResponse

- java.lang.Object
- - io.etcd.jetcd.AbstractResponse<RangeResponse>
  - - io.etcd.jetcd.kv.GetResponse

All Implemented Interfaces:
  Response

    public class GetResponse
    extends AbstractResponse<RangeResponse>

### Nested Class Summary

### Nested classes/interfaces inherited from interface io.etcd.jetcd.Response

`Response.Header`

### Constructor Summary

Constructors
Constructor and Description
`GetResponse(RangeResponse rangeResponse, ByteSequence namespace)`

### Method Summary

All Methods Instance Methods Concrete Methods
`long` `getCount()` return the number of keys within the range when requested.
`List<KeyValue>` `getKvs()` return a list of key-value pairs matched by the range request.
`boolean` `isMore()` more indicates if there are more keys to return in the requested range.

### Methods inherited from class io.etcd.jetcd.AbstractResponse

`getHeader, getResponse, getResponseHeader, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### GetResponse

    public GetResponse(RangeResponse rangeResponse,
                       ByteSequence namespace)

### Method Detail

#### getKvs

    public List<KeyValue> getKvs()

return a list of key-value pairs matched by the range request.

#### isMore

    public boolean isMore()

more indicates if there are more keys to return in the requested range.

#### getCount

    public long getCount()

return the number of keys within the range when requested.